Bug 148166 - [patch] port devel/p5-Locale-gettext package do not follow naming schema
Summary: [patch] port devel/p5-Locale-gettext package do not follow naming schema
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-26 15:50 UTC by Olli Hauer
Modified: 2010-10-11 21:50 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer 2010-06-26 15:50:05 UTC
The port does not follow the perl module naming schema.

Since the distfile does not start with the prefix Locale the
resulting package name is p5-gettext instead p5-Local-gettext.

Fix: 

---  patch_p5-Locale-gettext.txt begins here ---
--- Makefile
+++ Makefile
@@ -11,7 +11,7 @@
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 MASTER_SITE_SUBDIR=Locale
-PKGNAMEPREFIX=	p5-
+PKGNAMEPREFIX=	p5-Locale-
 
 MAINTAINER=	demon@FreeBSD.org
 COMMENT=	Message handling functions
---  patch_p5-Locale-gettext.txt ends here ---
How-To-Repeat: cd /usr/ports/devel/p5-Locale-gettext && make package
Comment 1 Edwin Groothuis freebsd_committer 2010-06-26 15:50:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2010-08-30 03:28:36 UTC
Responsible Changed
From-To: demon->ohauer

submitter is now committer
Comment 3 Philip M. Gollucci freebsd_committer 2010-10-10 07:57:15 UTC
Responsible Changed
From-To: ohauer->pgollucci

comitter timeout (ohauer@FreeBSD.org ; 41 days)
Comment 4 Philip M. Gollucci freebsd_committer 2010-10-11 21:48:11 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 5 dfilter service freebsd_committer 2010-10-11 21:48:13 UTC
pgollucci    2010-10-11 20:48:08 UTC

  FreeBSD ports repository

  Modified files:
    devel/p5-Locale-gettext Makefile 
  Log:
  Std pkg name p5-gettext -> p5-Locale-gettext
  
  PR:             ports/148166
  Submitted by:   ohauer
  Approved by:    timeout (demon/ohauer ; 41 days)
  
  Revision  Changes    Path
  1.23      +1 -1      ports/devel/p5-Locale-gettext/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"